
import 'package:flutter/material.dart';
import 'package:mc_common_app/utils/utils.dart';

class ShowCircularButton extends StatelessWidget {
  VoidCallback onPressed;
  IconData? iconData;
  ShowCircularButton({Key? key, this.iconData,required this.onPressed}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Card(
      shape: Utils.cardRadius(1000),
      color: Colors.black.withOpacity(0.2),
      margin: const EdgeInsets.all(12),
      child: IconButton(
        onPressed: onPressed,
        icon: Icon(
          iconData?? Icons.amp_stories_outlined,
          color: Colors.white,
        ),
      ),
    );
  }
}
